<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <modelVersion>4.0.0</modelVersion>
    <groupId>info.textgrid.lab</groupId>
    <artifactId>sadepublish</artifactId>
    <version>0.1.1-SNAPSHOT</version>
    <packaging>pom</packaging>

    <parent>
    	<groupId>info.textgrid.lab</groupId>
    	<artifactId>parent</artifactId>
    	<version>3.4.0-SNAPSHOT</version>
    </parent>

    <modules>
        <module>info.textgrid.lab.sadepublish</module>
        <module>info.textgrid.lab.feature.sadepublish</module>
        <module>p2repository</module>
    </modules>

    <developers>
        <developer>
            <id>veentjer</id>
            <name>Ubbo Veentjer</name>
            <email>veentjer@sub.uni-goettingen.de</email>
        </developer>
        <developer>
            <id>mgoebel</id>
            <name>Mathias Göbel</name>
            <email>goebel@sub.uni-goettingen.de</email>
        </developer>
    </developers>

    <repositories>
      <repository>
	    <id>maven-dariah-public</id>
	    <name>GWDG Nexus DARIAH-DE Repository</name>
	    <url>https://nexus.gwdg.de/repository/maven-dariah-public/</url>
	    <releases>
	      <enabled>true</enabled>
	    </releases>
	    <snapshots>
	      <enabled>true</enabled>
	    </snapshots>
      </repository>

		    <repository>
			      <id>lab-core</id>
			      <layout>p2</layout>
			      <url>${lab.repository.core}</url>
		    </repository>
		    <repository>
			      <id>eclipse</id>
			      <layout>p2</layout>
			      <url>${lab.repository.eclipse}</url>
		    </repository>
		    <repository>
			      <id>textgridlab-dependencies</id>
			      <layout>p2</layout>
			      <url>${lab.repository.dependencies}</url>
		    </repository>
    </repositories>
	  <profiles>
 		   <profile>
		       <id>sign</id>
		       <activation>
		          <property>
		            <name>jarsigner.alias</name>
		          </property>
		       </activation>
		       <build>
		          <plugins>
		            <plugin>
		                <groupId>org.apache.maven.plugins</groupId>
		                <artifactId>maven-jarsigner-plugin</artifactId>
		                <version>1.2</version>
		                <executions>
		                    <execution>
		                        <id>sign</id>
		                        <goals>
		                            <goal>sign</goal>
		                        </goals>
		                    </execution>
		                </executions>
		            </plugin>
		          </plugins>
		       </build>
		    </profile>
	  </profiles>

    <build>
        <plugins>
            <plugin>
                <groupId>org.eclipse.tycho</groupId>
                <artifactId>tycho-maven-plugin</artifactId>
                <version>${tycho-version}</version>
                <extensions>true</extensions>
            </plugin>
            <plugin>
                <groupId>org.eclipse.tycho</groupId>
                <artifactId>target-platform-configuration</artifactId>
                <version>${tycho-version}</version>
                <configuration>
                    <resolver>p2</resolver>
                    <ignoreTychoRepositories>true</ignoreTychoRepositories>
					          <environments>
						            <environment>
							              <os>linux</os>
							              <ws>gtk</ws>
							              <arch>x86</arch>
						            </environment>
						            <environment>
							              <os>linux</os>
							              <ws>gtk</ws>
							              <arch>x86_64</arch>
						            </environment>
						            <environment>
							              <os>win32</os>
							              <ws>win32</ws>
							              <arch>x86</arch>
						            </environment>
						            <environment>
							              <os>win32</os>
							              <ws>win32</ws>
							              <arch>x86_64</arch>
						            </environment>
						            <environment>
							              <os>macosx</os>
							              <ws>cocoa</ws>
							              <arch>x86_64</arch>
						            </environment>
					          </environments>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>license-maven-plugin</artifactId>
                <version>1.0-beta-2</version>
                <configuration>
                    <licenseName>lgpl_v3</licenseName>
                    <inceptionYear>2011</inceptionYear>
                    <addSvnKeyWords>false</addSvnKeyWords>
                    <organizationName>TextGrid Consortium (http://www.textgrid.de)</organizationName>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.eclipse.tycho</groupId>
                <artifactId>tycho-versions-plugin</artifactId>
                <version>${tycho-version}</version>
            </plugin>
            <plugin>
                <groupId>com.amashchenko.maven.plugin</groupId>
                <artifactId>gitflow-maven-plugin</artifactId>
                <version>1.14.0</version>
                <configuration>
                    <tychoBuild>true</tychoBuild>
                    <verbose>true</verbose>
                    <installProject>false</installProject>
                    <gitFlowConfig>
                        <productionBranch>main</productionBranch>
                        <developmentBranch>develop</developmentBranch>
                        <featureBranchPrefix>feature/</featureBranchPrefix>
                        <releaseBranchPrefix>release/</releaseBranchPrefix>
                        <hotfixBranchPrefix>hotfix/</hotfixBranchPrefix>
                        <supportBranchPrefix>support/</supportBranchPrefix>
                        <versionTagPrefix></versionTagPrefix>
                        <origin>origin</origin>
                    </gitFlowConfig>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
